namespace Managing.Domain.Shared.Rules
{
    public static class Check
    {
        public static void That(IValidationRule rule)
        {
            if (!rule.IsValid())
            {
                throw new RuleException(rule.Message);
            }
        }
    }
}
